
<div id="top_of_dialog">
	<strong>Modifica Opera</strong>
</div>

<div style="margin-top: 15px">
	
	<br>
	<label>Valori attuali:</label><br>
	<table class="table table-bordered listViewEntriesTable">
		<thead>
			<tr>
				<th class="blockHeader">Codice Opera</th>
				<th class="blockHeader">Titolo</th> 
				<th class="blockHeader">Compositori</th>
				<th class="blockHeader">Autori</th>
				<th class="blockHeader">Interpreti</th>
			</tr>
			<tr>
				<td>{{opera.codiceOpera}}</td>
				<td>{{opera.titoloComposizione}}</td> 
				<td>{{opera.compositore}}</td>
				<td>{{opera.autori}}</td>
				<td>{{opera.interpreti}}</td> 
			</tr>
			<tr>
				<td><input class="inputDialog" ng-model="newCodiceOpera"></td> 
				<td><input class="inputDialog" ng-model="newTitoloComposizione"></td> 
				<td><input class="inputDialog" ng-model="newCompositore"></td> 
				<td><input class="inputDialog" ng-model="newAutori"></td> 
				<td><input class="inputDialog" ng-model="newInterpreti"></td>
			</tr>
			<tr>
				<th class="blockHeader">Durata (Secondi)</th>
				<th class="blockHeader">Durata meno <br> 30 sec</th>
				<th class="blockHeader">Flag Pubblico <br> Dominio</th>
				<th class="blockHeader">Combinazione Codifica</th>
				<th class="blockHeader">Flag mag non concessa</th>
			</tr>
			<tr>
				<td>{{durata}}</td>
				<td>{{durata30sec}}</td>
				<td>{{flagPD}}</td>
				<td>{{opera.combinazioneCodifica}}</td> 
				<td>{{flagMagNonConcessa}}</td> 
			</tr>
			<tr>
				<td><input class="inputDialog" ng-model="newDurata"></td>
				<td>
					<select style="width:40%" ng-model="newDurata30sec">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
				<td>
					<select style="width:40%" ng-model="newFlagPD">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
				<td><input class="inputDialog" ng-model="newCombinazioneCodifica"></td>
				<td>
					<select style="width:40%" ng-model="newFlagMagNonConcessa">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
			</tr>
			<tr>
				<th class="blockHeader">Netto maturato</th>
				<th class="blockHeader">Data prima codifica</th>
				<th class="blockHeader">Tipo accertamento</th>
				<th class="blockHeader">Flag codifica</th>
				<th class="blockHeader">Flag escludi opera</th>
			</tr>
			<tr>
				 <td>{{opera.nettoMaturato}}</td> 
				 <td>{{dataPrimaCodifica}}</td> 
				 <td>{{opera.tipoAccertamento}}</td> 
				 <td>{{flagCodifica}}</td>
				 <td>{{flagCedolaEsclusa}}</td>
			</tr>
			<tr>
				<td><input class="inputDialog" ng-model="newNettoMaturato"></td>
				<td>
					<div class="controls">
						<div class="input-append date" id="datepickerPrimaCodifica"
							data-date-format="dd-mm-yyyy" style="position: relative">

							<input type="text" name="date" id="inputPrimaCodifica"
								ng-model="newDataPrimaCodifica"
								style="width: 135px; height: 25px; overflow:visible"> <span
								class="add-on" style="height: 25px"><i class="icon-th"></i></span>
						</div>
						<script type="text/javascript">
						var container = $("#inputPrimaCodifica").parent();
							$("#datepickerPrimaCodifica")
								.datepicker(
									{
										format : 'dd-mm-yyyy',
										language : 'it',
										viewMode : "days",
										minViewMode : "days",
										orientation : "bottom auto",
										autoclose : "true",
										container: container
									});
							console.log(container);
						</script>
					</div>
				</td>
				<td><input class="inputDialog" ng-model="newTipoAccertamento"></td>
				<td>
					<select style="width:40%" ng-model="newFlagCodifica">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
				<td>
					<select style="width:40%" ng-model="newFlagCedolaEsclusa">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
			</tr>
		</thead>
	</table>
</div>
<div style="height: 70px;">
	<br><label>I valori non inseriti non saranno modificati</label>
	<br><label>Inserire almeno un valore prima di salvare</label>
</div>
&nbsp;
<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			
		</td>
		<td align="left">
			<button type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
			</button>
		</td>
		<td align="right">
			<button type="button" class="btn addButton" ng-click="save(ctrl.ngDialogId)">
				<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Salva</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
